#
# spec file for package rubygem-hpricot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hpricot
Version:        0.8.6
Release:        2.30
%define mod_name hpricot
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://code.whytheluckystiff.net/hpricot/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A fast and flexible HTML Parser
License:        MIT
Group:          Development/Languages/Ruby

%description
Hpricot is a flexible HTML parser written in C. It's designed to be similar to Tanaka Akira's HTree, and has a library. Hpricot can read broken XML files, since many of the same techniques can be used.
%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG COPYING README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Sat Feb 10 2018 jengelh@inai.de
- Trim rhetorics from description.
* Sun Apr 16 2017 avvissu@yandex.by
- Add rubygem-hpricot-rpmlintrc in spec file
- Spec file cleanup
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Feb 15 2014 kkaempf@suse.com
- add ruby-devel buildrequires
* Sat Jan 18 2014 coolo@suse.com
- use new ruby macros
* Sat Jul 14 2012 chris@computersalat.de
- update to 0.8.6
  * Allow any tags to contain unknown tags (Steven Parkes)
- 0.8.5
  * Remove escaped quote (\') from matching (#55)
  * Fix 'undefined method downcase for nil:NilClass' on JRuby (#58)
  * Unescape hex numeric character references
- 0.8.4
  * GH #21, #32, #33, #36: Fix for reported segfaults
- 0.8.3
  * GH#8: Nil-check before downcasing attribute key
  * GH#25: Proper ruby 1.9 encoding support
  * GH#28. Use integers instead of ?? on 1.9, which is just a string.
  * including noscript to ElementInclusions , so that hpricot wont fail
    when trying to parse a meta tag inside head section when noscript is
    present.
  * latest changes from fast_xs mainline
  * Fixes to get Hpricot running on Rubinius:
  * Use free, not XFREE
  * Remove RSTRUCT craziness, don't break Array#at
- fix License:
  * MIT: https://github.com/hpricot/hpricot/blob/master/COPYING
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 0.8.2
* Fri Dec  4 2009 chris@computersalat.de
- update to version 0.8.1
- some rpmlint fixes
* Fri Mar 20 2009 dmacvicar@suse.de
- update to version 0.7
* Wed Aug 27 2008 mrueckert@suse.de
- update to version 0.6.161
* Tue May 22 2007 mrueckert@suse.de
- update to version 0.5
* Wed Sep 13 2006 mrueckert@suse.de
- Initial package of version 0.4
